org.apache.mina.transport.udp

## Class DefaultUdpSessionConfig

- java.lang.Object
- - org.apache.mina.session.AbstractIoSessionConfig
  - - org.apache.mina.transport.udp.DefaultUdpSessionConfig

All Implemented Interfaces:
  IoSessionConfig, UdpSessionConfig

    public class DefaultUdpSessionConfig
    extends AbstractIoSessionConfig
    implements UdpSessionConfig

Implementation for the UDP session configuration. Will hold the values for the service in change of configuring this session (before the session opening).

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`DefaultUdpSessionConfig()`

### Method Summary

Methods
`boolean` `isBroadcast()`
`void` `setBroadcast(boolean broadcast)`

### Methods inherited from class org.apache.mina.session.AbstractIoSessionConfig

`getIdleTimeInMillis, getReadBufferSize, getSendBufferSize, getTimeout, getTrafficClass, isReuseAddress, setIdleTimeInMillis, setReadBufferSize, setReuseAddress, setSendBufferSize, setTimeout, setTrafficClass, setTrafficClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.mina.api.IoSessionConfig

`getIdleTimeInMillis, getReadBufferSize, getSendBufferSize, getTimeout, getTrafficClass, isReuseAddress, setIdleTimeInMillis, setReadBufferSize, setReuseAddress, setSendBufferSize, setTimeout, setTrafficClass, setTrafficClass`

### Constructor Detail

#### DefaultUdpSessionConfig

    public DefaultUdpSessionConfig()

### Method Detail

#### isBroadcast

    public boolean isBroadcast()

Specified by:
  `isBroadcast` in interface `UdpSessionConfig`
See Also:
  `DatagramSocket.getBroadcast()`

#### setBroadcast

    public void setBroadcast(boolean broadcast)

Specified by:
  `setBroadcast` in interface `UdpSessionConfig`
See Also:
  `DatagramSocket.setBroadcast(boolean)`